## Author: M Turhan ÇOBAN
## Created: 2021-10-25

function retval = find_root_limits (f,a,b)
    dx1=1e-2;
    x1=a;
    x2=a+dx1;
    f1=f(x1);
    f2=f(x2);
    n=1;
    while(x2<b)
      if(f1*f2<=0)
        c(n,1)=x1;
        c(n,2)=x2;
        n++;
        x1=x2+dx1;
        x2=x1+dx1; 
        f1=f(x1);
        f2=f(x2); 
      else
        x2=x2+dx1;
        f2=f(x2);
      endif
    endwhile
retval=c;
endfunction
